.header-button{
	font-size: 1.3em;
	font-weight: 500;
	margin-top: 1%;
}
.grid-container {
    padding: 0;
    margin: -1px;
    list-style: none;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row;
    justify-content: space-around;
   
    line-height:30px;
}
.grid-item {
    /*background-image: url('http://www.pickacard.co.uk/insta/img/owen/mycards/2.jpg');*/
    background-size: cover;
    margin-left: 1px;
    margin-bottom: 2px;
    color: white;
    font-weight: bold;
    font-size: 1.5em;
    text-align: center;
    flex: 1 0 auto;
    height:auto;
	background-position: center;
}
.card-item {
    background-size: cover;
    margin-left: 1px;
    margin-bottom: 2px;
    color: #222;
    font-weight: bold;
    font-size: 1em;
    text-align: left;
    flex: 1 0 auto;
    height:auto;
	background-position: center;
}
.card-item:before {
    content:'';
    float:left;
    padding-top:100%;
}

.card-item-inner{
	height:90%;
	overflow:hidden;
	background-size:cover;
}
.grid-item:before {
    content:'';
    float:left;
    padding-top:100%;
}

.flex-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-content: stretch;
    align-items: flex-start;
  
    }
    

.flex-item {
    order: 0;
    flex: 0 1 auto;
    align-self: stretch;
    text-align: center;
    font-size: 15px;
    font-weight: 600;
    }


.grid-row {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    border:blue 1px solid;
   
/*
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-content: stretch;
    align-items: flex-start;
*/
  
    }

.gridimg{
	
	width:33%;
		padding-bottom: 33%;
		background-size: cover;
		border:red 1px solid;
/*
	flex: 0 1 auto;
	


	  text-align: center;
	  align-self: stretch;
*/
	
}

.plus{
	z-index: 2;
	width: 30px;
	position: absolute;
	top: 55px;
	left: 70px;
}
.plus-dark{
	z-index: 2;
	width: 30px;
	position: absolute;
	top: 55px;
	left: 70px;
	display:none;
}		
.imagetopimgplus{			
	position: relative;
	top: 0;
	left: 0;
}
/* ------------------------------------------------------------ */
/* ----------------------- SETTINGS MENU --------------------- */
/* ------------------------------------------------------------ */

#edit_header{
	position: fixed;
	background-color: #ffffff;
	text-align: center;
	top: 0;
	
	z-index: 999;
	height: auto;
	width: 100%;
	border-bottom: #000;
	text-align: justify;
	margin: auto;
	padding-top: 7px;
	padding-top: env(safe-area-inset-top);
}

#form_container{
	
	width: 100%;
	
}

.guidelines{
	
	width: 100%;
	margin: 20px;
}

#profilephotoarea{
	background-color: #fafafa;
	text-align: center;
	margin-bottom: 30px;
	/*color: blue;*/
	border-top: 1px #ababab solid;
	border-bottom: 1px #ababab solid;
	width: 100%;
	padding-top: 30px;
	padding-bottom: 30px;
}

#editprofiletopimg{
	
	border-radius: 50%;
	width: 90px;
	height: 90px;
	object-fit: cover;

}
#editrevealheader{
	top:100px; 
	width:100%; 
	height:auto; 
	padding-top:7px; 
	background-color: #fff; 
	color:#000;
}
#editfeedheader{
	top:100px; 
	width:100%;
	height:auto;
	padding-top:7px;
	background-color: #fff;
	color:#000;
}
.form_block{
	
/* 	border-bottom: 1px #ababab solid; */
	
}

.form_field{
	
	width: 100%;
	vertical-align: middle;
	margin-top: 10px;
	
}

.form_label{
	
	font-size: 1.1em;
	float:left;
	margin-left: 20px;
	display: block;
	width: 100px;
	
}


textarea {
	font-size: 1.1em;
	width: 60%;
	height: 60px;
	border: none;
	padding-bottom: 10px;
}

.textbox{
	
	font-size: 1.1em;
	border:none;
	width: 60%;
	border-bottom: 1px #ababab solid;
	padding-bottom: 10px;
	-webkit-appearance: none;
	border-radius: none;
	
}

/* ------------------------------------------------------------ */
/* ----------------------- MAIN ELEMENTS --------------------- */
/* ------------------------------------------------------------ */

body {
	-webkit-touch-callout: none !important; 
	touch-callout: none !important;
	background-color: #f5f5f5 !important;
	position:absolute;
	margin: 0;
	color: #262626;
	font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Helvetica,Arial,sans-serif;
	font-size: 12px;
	overflow-x:hidden;
	overflow-y:visible;
}
@media (prefers-color-scheme: dark) {
	body{
		background-color: #121212 !important;
		color: #fafafa;
	}
	#header{
		background-color: #121212 !important;
	}
	.plus{
		display:none;
	}
	.plus-dark{
		display:initial;
	}
	#profilephotoarea{
		background-color: #121212;
	}
	#editrevealheader{
		background-color: #000; 
		color: #fafafa;
	}
	#editfeedheader{
		background-color: #000;
		color: #fafafa;
	}
	.card-item{
		color:#fff;
	}
}
@font-face {
    font-family: 'billabongregular';
	src: url('billabong-webfont.woff2') format('woff2'),	
		 url('billabong-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

#content{
/*	margin-top:  60px;
	position: absolute;
	top; 100px;
	width: 100%;*/
	background-color:#fff;
	top: 65px;
	position: absolute;
	width: 100%;
	height: 83%; /*was 85, 84 for 6s size*/
	overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
	-webkit-touch-callout: none !important;
	touch-callout: none !important;
	overflow-x:hidden;
}
.content-iphoneplus{
	top: 68px !important;
	height: 84.5% !important;
}
.content-iphonexmax{
	top:90px !important;
	height: 81% !important;
}
.content-iphonex{
	top:93px !important;
	height: 81% !important;
}

#content ::after{
	clear:both;
}


#header{
	position: absolute;
	background-color: #f5f5f5;
	text-align: center;
	top: 0;
	z-index: 999;
	height: auto;
	width: 100%;
	/*border-bottom: 1px solid #c2c2c2;*/
	text-align: justify;
	margin: auto;
	padding-top: 7px;
}
.headerborderbottom{
	border-bottom: 1px solid #c2c2c2;
}
.iphoneNavBar {
	/*height: 88px;
	line-height: 139px;*/
	top: 20px !important;
}

.iphoneXNavBar {
	/*height: 88px;
	line-height: 139px;*/
	top: 40px !important;
}
.iphoneXMaxNavBar {
	/*height: 98px;
	line-height: 152px;*/
	top: 40px !important;
}
/* ----------------------- HEADER --------------------- */

.headericons{

	width: 90%; 
	margin: auto;
	text-align: justify;
	display: flex;
	justify-content: space-between;
	
}

.headericon{
	
	width: 27px;
	height: 27px;
	display: inline-block;
	object-fit: contain;
}

#header_username{
	
	font-size: 1.5em;
	font-weight: 600;
	margin-top:1%
}

#header:after{
	
	content: '';
	/*width: 60%;*/
	display: inline-block;
}

.headerimg{
	
width: 100%;
	
	object-fit:cover;
}


/* ------------------------------------------------------------ */
/* ----------------------- PROFILE TOP ------------------------ */
/* ------------------------------------------------------------ */

#profiletop{
	padding-top:10px;
	margin-left: 15px;
	font-size: 1.2em;
}

.profilestats{
	
	display: flex;
/* 	justify-content: center; */
	align-items: center;
	text-align: justify;
	
}

#profiletopimg{
	
	border-radius: 50%;
	width: 80px;
	height: 80px;
	object-fit: cover;
	float: left;
	position: relative;
  top: 0;
  left: 0;
	
}

.please{
	
	padding-left: 50px;
	
}

.floatleft{
	
	float:left;
	
}


.stats{
	
	float: left;
	text-align: center;
	display: inline-block;
	justify-content: space-between;
	
}

#profilefollowers{
	
	float: left;

	text-align: center;
	
	display: inline-block;
	
	justify-content: space-between;
}

#profilefollowing{
	text-align: center;
	display: inline-block;
	justify-content: space-between;
	
}

.statname{
	display: block;
	/*color: grey;*/
	font-size: 1.1em;
	font-weight: 400;
}
.statvalue{
	font-size: 1.2em;
	font-weight:600;
}

#editprofilebtn{
	
	border: 1px solid #dbdbdb;
	color: #262626;
	background-color: transparent;
	padding: 5px 4px;
	text-align: center;
	border-radius: 3px;
	margin-left: 5px;
	margin-right: 10px;
	display: block;
	font-weight: 600;
	
}

#profilebio{
	
	margin-top: 20px;
	width: 100%;
	
}

.storyhighlights{
	margin-left: 15px;
	font-weight: bold;
}
#storyhighlights-dark{
	display:none;
}
#gridnav-dark{
	display:none;
}
#website{
	color: #143465;
}
#profiledivider{
	color: #eee;
	background-color: #eee;
	height:1px; border:none;
	width:100%;
	text-align:center;
	margin: 0 auto;
	margin-bottom: 10px;
	margin-top: 10px;
}
@media (prefers-color-scheme: dark) {
	#storyhighlights{
		display:none !important;
	}
	#storyhighlights-dark{
		display:initial;
	}
	#gridnav{
		display:none;
	}
	#gridnav-dark{
		display:initial;
	}
	#website{
		color: #e1effe;
	}
	#editprofilebtn{
		border: 1px solid #363636;
		background-color: #000;
		color: #fafafa;
	}
	#profiledivider{
		color: #262626;
		background-color: #262626;
	}
	.headerborderbottom{
		border-bottom: 1px solid #262626;
	}
}

#displayname{
	font-weight: bold;
}

#followedby{
	
	color: #aaaaaa;
	
}

/* ------------------------------------------------------------ */
/* ----------------------- HOME SCREEN STORIES----------------- */
/* ------------------------------------------------------------ */

#storiesbar{
	
	display: flex;
	margin: 0;
	padding-top: 10px;
	
}

.userstory{
	
	display: inline-block;
	text-align: center;
	margin: 0;
	padding: 7px;

}

.storyprofileimage{

	border-radius: 50%;
	width: 60px;
	height: 60px;
	object-fit: cover;

}

.storyusername{
	text-align: center;
}

/* ------------------------------------------------------------ */
/* ----------------------- INSTAGRAM POST --------------------- */
/* ------------------------------------------------------------ */

.wrap {
	width: 100%;
	margin: 0;
	padding: 0;
	overflow: auto;
}

.leftcolumn {
	width: 50%;
	padding: 0;
	float: left;
	margin: 0;
	display: inline-block;
}

.profileimage{
	border-radius: 50%;
	width: 32px;
	height: 32px;
	margin-left: 10px;
	display: inline-block;
	float:left;
	margin-right: 10px;
	margin-bottom: 10px;
	object-fit: cover;
}

.usernamecaption{
	vertical-align: middle;
	font-weight: 600;
	font-size: 1.2em;
}

.userlocation{
	font-size: 1.1em;
}

.rightcolumn {
	width: 45%;
	display: inline-block;
	margin: 0;
	padding: 0;
	float: left;
	text-align: right;
	vertical-align: top;
}

.feedimage, .myfeedimage{
	width: 100%;

	background-color: #dbdcde;

}
.gridimage, .mygridimage{
	width: 33%;

	background-color: #dbdcde;

}

.icon{
	
	padding-right: 15px;
	width: 23px;
}

.icon-right{
	width: 23px;
}


.afterimage{
	
	padding-top: 10px;
	padding-bottom: 10px;
	padding-left: 10px;
	font-size: 1.1em;
}

.likes{
	
	font-weight: bold;
	padding-bottom: 7px;
	padding-top: 7px;
}

.postcaption{
	
	padding-right: 7px;
}

.viewcomments{
	
	padding-top: 7px;
	padding-bottom: 7px;
	font-size: 12px;
	color: #aaaaaa
	
}

.timeago{
	
	font-size: 8px;
	color: #aaaaaa;
	padding-bottom: 7px;
	
}

/* ----------------------- FOOTER --------------------- */

#footer{

	position: absolute;
	background-color: #f5f5f5;
	left: 0;
	bottom: 0;
	
	height: 40px;
	width: 100%;
	text-align: justify;
	margin: auto;
	/*padding-top: 12px;*/
	z-index: 9999;
	/*bottom: env(safe-area-inset-bottom, 0px);*/
}
.footer-iphonex{
	background-color: #f5f5f4 !important;
	bottom:0px !important;
}
.footericons{
	position:absolute;
	top:10px;
	width: 90%; 
	margin: auto;
	text-align: justify;
	display: flex;
	justify-content: space-between;
	margin-left:5%;
	
}
#footericons-dark{
	display: none;
}
@media (prefers-color-scheme: dark) {
	#footericons{
		display:none;
	}
	#footericons-dark{
		display: flex;
	}
	#footer{
		background-color: #121212
	}
	.footer-iphonex{
		background-color: #121212 !important;
	}
}
.footericons-x{
	top:0px !important;
}

#myprofile{
	/*border-radius: 50%;
	object-fit:cover;*/
}

#footer img{
	
	width: 27px;
	height: 27px;
	display: inline-block;

}

#footer:after{
	
	content: '';
	width: 60%;
	display: inline-block;
}

.bottom_buffer{
	
	height: 20px;
}

#e-logo{
	align-self: center;
}

/* DELETE THIS */



img { -webkit-touch-callout: none !important; }


#imageexample{
	
	height: 350px;
	width: 100%;
	background-color: #10a8b8;
	text-align: center;
	vertical-align: middle;
	color: #e11616;
	
}


#tap {
  position: fixed; /* Sit on top of the page content */
  display: none; /* Hidden by default */
  width: 100%; /* Full width (cover the whole page) */
  height: 100%; /* Full height (cover the whole page) */
  top: 0; 
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5); /* Black background with opacity */
  z-index: 3; /* Specify a stack order in case you're using a different order for other elements */
  cursor: pointer; /* Add a pointer on hover */
}

#text{
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 50px;
  color: white;
  transform: translate(-50%,-50%);
  -ms-transform: translate(-50%,-50%);
}
.optionTable{
	margin-left:auto; 
    margin-right:auto;
	border-spacing: 1em;
	font-size: 1.5em;
	width:100%;
}
.optionTable>tbody>tr>td{
	text-align: right !important;
	height:100%;
}
.optionTable>tbody>tr>td>input{
	height: 100%;
	width:100%;
}
#setupContent{
	width:90vw;
	margin-top:  10px;
	margin-left: 5vw;
	margin-right: 5vw;
	position: absolute;
}
#noConnectionBanner{
	color: white;
	background-color: red;
	text-align: center;
	position: absolute;
	top: 48px;
	width: 100%;
	z-index: 9999;
}
.errorMessage{
	color:red;
}